package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Visa_statusRepository;
import com.realnet.vpspack.Entity.Visa_status
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class Visa_statusService {
@Autowired
private Visa_statusRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Visa_status Savedata(Visa_status data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_status save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_status> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_status> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_status> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_status getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_status update(Visa_status data,Integer id) {
	Visa_status old = Repository.findById(id).get();
old.setVisa_status(data.getVisa_status());

old.setPrice(data.getPrice());

final Visa_status test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
